Subject: Re: Missing ANSI functions?
From: [email-masked]

12 Nov 1997 03:46:42 -0800
Message-ID: <[email-masked]>
References: <[email-masked]>
Mime-Version: 1.0
Content-Type: text/plain; charset=us-ascii
Content-Transfer-Encoding: 7bit
To: Geoffrey Noer <[email-masked]>
Cc: Jon & Sue Trauntvein <[email-masked]>, [email-masked]

Just write the functions your self since they wont be added.  intger to string
and viceversa is not that hard to code.

Geoffrey Noer wrote:

> Jon & Sue Trauntvein wrote:
> >
> > I have been recently porting some code that I had originally written for =
> > Visual C++. In so doing, I have come accross some functions that I =
> > thought were a part of the ANSI C library but don't appear to be apart =
> > of the standard library distributed with the Cygnus compiler. These =
> > functions are strrev (reverse a "C" string in place) and itoa (convert a =
> > signed integer to an ASCII string). Is there something that I am doing =
> > wrong or are these functions trully missing?
>
> Neither function is provided by gcc's libraries (including Cygwin32).
> I can't find either in my C library books or in the POSIX spec so they're
> not going to be added.
>
> --
> Geoffrey Noer
> [email-masked]
> -
> For help on using this list (especially unsubscribing), send a message to
> "[email-masked]" with one line of text: "help".

-
For help on using this list (especially unsubscribing), send a message to
"[email-masked]" with one line of text: "help".